{
    "name": "drupal/recommended-project",
    "description": "Project template for Drupal 9 projects with a relocated document root",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "require": {
        "composer/installers": "^1.9",
        "drupal/address": "1.x-dev@dev",
        "drupal/administerusersbyrole": "3.x-dev@dev",
        "drupal/better_exposed_filters": "^5.0@beta",
        "drupal/config_ignore": "^2.3",
        "drupal/core-composer-scaffold": "^9.1",
        "drupal/core-project-message": "^9.1",
        "drupal/core-recommended": "^9.1",
        "drupal/geocoder": "^3.20",
        "drupal/geofield": "^1.22",
        "drupal/imce": "^2.4",
        "drupal/leaflet": "^2.1",
        "drupal/leaflet_more_maps": "^2.1",
        "drupal/leaflet_more_markers": "^1.1",
        "drupal/linked_field": "^1.3",
        "drupal/migrate_devel": "2.x-dev@dev",
        "drupal/migrate_plus": "^5.1",
        "drupal/migrate_tools": "5.x-dev@dev",
        "drupal/page_manager": "4.x-dev@dev",
        "drupal/panelizer": "^4.4",
        "drupal/panels": "^4.6",
        "drupal/paragraphs": "1.x-dev@dev",
        "drupal/perimeter": "2.0.x-dev@dev",
        "drupal/role_delegation": "^1.1",
        "drupal/selective_better_exposed_filters": "2.x-dev@dev",
        "drupal/smart_date": "^3.1",
        "drupal/structure_sync": "^2.0",
        "drupal/twig_xdebug": "^1.2",
        "drupal/video_embed_field": "^2.4",
        "drupal/views_conditional": "^1.4",
        "geocoder-php/google-maps-provider": "^4.6",
        "geocoder-php/mapquest-provider": "^4.2",
        "wikimedia/composer-merge-plugin": "^2.0"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "stable",
    "prefer-stable": true,
    "config": {
        "sort-packages": true
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            },
            "file-mapping": {
                "[web-root]/sites/development.services.yml": false
            }
        },
        "installer-paths": {
            "web/core": [
                "type:drupal-core"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library"
            ],
            "web/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "web/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "web/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "drush/Commands/contrib/{$name}": [
                "type:drupal-drush"
            ],
            "web/modules/custom/{$name}": [
                "type:drupal-custom-module"
            ],
            "web/profiles/custom/{$name}": [
                "type:drupal-custom-profile"
            ],
            "web/themes/custom/{$name}": [
                "type:drupal-custom-theme"
            ]
        },
        "drupal-core-project-message": {
            "include-keys": [
                "homepage",
                "support"
            ],
            "post-create-project-cmd-message": [
                "<bg=blue;fg=white>                                                         </>",
                "<bg=blue;fg=white>  Congratulations, you’ve installed the Drupal codebase  </>",
                "<bg=blue;fg=white>  from the drupal/recommended-project template!          </>",
                "<bg=blue;fg=white>                                                         </>",
                "",
                "<bg=yellow;fg=black>Next steps</>:",
                "  * Install the site: https://www.drupal.org/docs/8/install",
                "  * Read the user guide: https://www.drupal.org/docs/user_guide/en/index.html",
                "  * Get support: https://www.drupal.org/support",
                "  * Get involved with the Drupal community:",
                "      https://www.drupal.org/getting-involved",
                "  * Remove the plugin that prints this message:",
                "      composer remove drupal/core-project-message"
            ]
        },
        "merge-plugin": {
          "include": [
              "web/profiles/d8-starterkit-profile/composer.json"
          ],
          "recurse": true,
          "replace": false,
          "merge-extra": true
        },
        "patches": {
          "drupal/jquery_ui_touch_punch": {
            "jQuery UI Touch Punch library https://www.drupal.org/project/jquery_ui_touch_punch/issues/3159222":"https://www.drupal.org/files/issues/2021-02-26/jquery_ui_touch_punch.patch"
          },
          "drupal/core": {
            "Call to a member function getSetting() on null migrate_drupal https://www.drupal.org/project/drupal/issues/2984460": "https://www.drupal.org/files/issues/2020-04-06/2984460-3.patch",
            "Add Views EntityReference filter to be available for all entity reference fields https://www.drupal.org/project/drupal/issues/2429699" : "https://www.drupal.org/files/issues/2021-03-06/2429699-389.patch"
          },
          "drupal/paragraphs": {
              "Skip saving empty paragraphs for certain types https://www.drupal.org/project/paragraphs/issues/2877695" : "https://www.drupal.org/files/issues/2021-03-31/2877695-35.patch"
          },
          "drupal/leaflet_more_maps": {
              "add cartodb maps to leaflet_more_maps": "./patches/leaflet_more_maps_cartodb.patch"
          }
        }
    }
}
